org.apache.ignite.internal.processors.platform.utils

## Interface PlatformListenable

    public interface PlatformListenable

Platform listenable.

### Method Summary

Methods
`boolean` `cancel()` Cancel this instance.
`boolean` `isCancelled()` Returns true if this listenable was canceled before completion.
`void` `listen(IgniteBiInClosure<Object,Throwable> lsnr)` Listen.

### Method Detail

#### listen

    void listen(IgniteBiInClosure<Object,Throwable> lsnr)

Listen.

Parameters:
  `lsnr` - Listener.

#### cancel

    boolean cancel()
                   throws IgniteCheckedException

Cancel this instance.

Returns:
  True if canceled.
Throws:
  `IgniteCheckedException`

#### isCancelled

    boolean isCancelled()

Returns true if this listenable was canceled before completion.

Returns:
  True if this listenable was canceled before completion.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017